Novell Home

My Favorites

Close

Please to see your favorites.

AdminStudio ISProxy Remote Code Execution Vulnerability

This document (7011811) is provided subject to the disclaimer at the end of this document.

Environment

Novell ZENworks Configuration Management 10.3
Novell ZENworks Configuration Management 11.0
Novell ZENworks Configuration Management 11.1
Novell ZENworks Configuration Management 11.2

Situation

A vulnerability has been identified with AdminStudio that ships with ZCM. This software installs an ActiveX Control that could allow access to load arbitrary dlls from the underlying OS.

Resolution

A patch has been released to address this issue, and is available from http://download.novell.com/Download?buildid=lU2TA5SNQCM~

Cause

Vulnerability: this software installs an ActiveX Control with the following settings: Binary path: C:\Program Files\Common Files\InstallShield\ISProxy.dll.  ISProxy Implements IObjectSafety: True Safe for Initialization (IObjectSafety): True, Safe for Scripting (IObjectSafety): True, According to the IObjectSafety interface, it is safe for scripting and safe for initialization, so Internet Explorer will allow scripting of this control.

Status

Security Alert

Additional Information

This vulnerability was discovered by:    Andrea Micalizzi (aka rgod)
Reported to Novell by ZDI / Tippingpoint

Identifiers:  
ZDI-CAN-1433
CVE-2013-1079

Disclaimer

This Support Knowledgebase provides a valuable tool for NetIQ/Novell/SUSE customers and parties interested in our products and solutions to acquire information, ideas and learn from one another. Materials are provided for informational, personal or non-commercial use within your organization and are presented "AS IS" WITHOUT WARRANTY OF ANY KIND.

  • Document ID:7011811
  • Creation Date:21-FEB-13
  • Modified Date:20-MAR-13
    • NovellZENworks Configuration Management

Did this document solve your problem? Provide Feedback